The OpenNET Project / Index page

[ новости/++ | форум | wiki | теги ]

Решение проблемы со шрифтами в Google Earth на Ubuntu и Debian
Известно, что Google Earth при работе на Debian и Ubuntu отличается совершенно негодными шрифтами. 
Дело не только в их виде, но и в том, что русские буквы в ряде случаев не отображаются вовсе.
Причина этого кроется где-то в библиотеке Qt4, идущей в комплекте с GE.
Очевидное решение - избавиться от нее,
и использовать системную библиотеку Qt4. Для этого устанавливаем Qt4 и заменяем шесть файлов GE 
на соответствующие симлинки:

   sudo apt-get install libqt4-webkit qt4-qtconfig

   cd .google-earth... # Или куда вы поставили GE

   mv libQtCore.so.4 libQtCore.so.4.orig
   mv libQtGui.so.4 libQtGui.so.4.orig
   mv libQtNetwork.so.4 libQtNetwork.so.4.orig
   mv libQtWebKit.so.4 libQtWebKit.so.4.orig

   ln -s /usr/lib/libQtCore.so.4 .
   ln -s /usr/lib/libQtGui.so.4 .
   ln -s /usr/lib/libQtNetwork.so.4 .
   ln -s /usr/lib/libQtWebkit.so.4 .

   cd plugins/imageformats

   mv libqgif.so libqgif.so.orig
   mv libqjpeg.so libqjpeg.so.orig

   ln -s /usr/lib/qt4/plugins/imageformats/libqjpeg.so .
   ln -s /usr/lib/qt4/plugins/imageformats/libqgif.so .

С этого момента шрифты отображаются отлично во всех частях Google Earth.

Проверено с последней свежескачанной версией GE на Ubuntu 9.04 и свежем Debian Squeeze.
 
28.09.2009 , Автор: Дмитрий Иванов
Ключи: font, debian, ubuntu, Google, rus / Лицензия: CC-BY
Раздел:    Корень / Пользователю / Русификация

Обсуждение [ Линейный режим | Показать все | RSS ]
 
  • 1.1, ZaWertun, 11:08, 29/09/2009 [ответить] [смотреть все]
  • +/
    ссылки на системную Qt делать не нужно, да и на libq*.so - тоже; и так все прекрасно подхватится
     
     
  • 2.2, Дима Иванов, 12:07, 29/09/2009 [^] [ответить] [смотреть все] [показать ветку]
  • +/
    Нужно. Без ссылок не подхватывается. По крайней мере, у меня.
     
     
  • 3.4, pavlinux, 13:28, 29/09/2009 [^] [ответить] [смотреть все]
  • +/
    в google-earth есть замечательная строка LD_LIBRARY_PATH GOOGLEEARTH_DATA_P... весь текст скрыт [показать]
     
  • 1.3, Sergey, 12:54, 29/09/2009 [ответить] [смотреть все]  
  • +/
    в опенсусе подхватывается. просто стирал либы из GE
     
  • 1.5, Filosof, 19:31, 29/09/2009 [ответить] [смотреть все]  
  • +/
    Молодец чётко и надёжно (ну почти. Можно для других дистров проверку на местоположение соотв. папок сделать)
    И вообще - закатывай в шеллскрипт и бросай в ланчпад или куда-там ишо.
    Ато нубы не нагуглят, но на форумах наваняют о некрасивасти ГЕ по убунтой -:(
    Канеш для меня неюзающего ГЕ - это бесполезная инфа. Но я вообще много не юзаю -:)
     
  • 1.6, Александр, 20:13, 29/09/2009 [ответить] [смотреть все]  
  • +/
    В CentOS тоже автоматом подхватывает системные (собранные вручную в /usr/local/Trolltech/Qt-4.5.2 с предварительным запуском ldconfig) без всяких симлинков. Но вот 2 проблемы таки не дают покоя:
    во всплывающих окнах не отображает картинки из википедмм/панорамио и
    постоянно падает при наведении на определенные участки глобуса, например, на Ю-В побережье Турции, Азовское море и много еще куда. Краш, судя по логам, происходит где-то в окрестностях интеловского видеодрайвера.
    С этим даже гугл не помог :-(
     
  • 1.7, Panda, 20:39, 29/09/2009 [ответить] [смотреть все]  
  • +/
    Работает только переименование и линки на /usr/lib/qt4/plugins/imageformats/libqjpeg.so
    /usr/lib/qt4/plugins/imageformats/libqgif.so

    а если переименовать
    libQtCore.so.4, libQtGui.so.4, libQtNetwork.so.4 и libQtWebKit.so.4 то GE не запускается. После просмотра /usr/lib/ выяснил, что у меня эти файлы версии 4.5.0 и имеют соответственно другое имя. Создание ссылок на новые версии со старым именем не привело к успеху. Равно как и создание ссылок с новыми именами. Удаление тоже не помогло. :( Ubuntu 9.04

     
  • 1.8, Panda, 20:44, 29/09/2009 [ответить] [смотреть все]  
  • +1 +/
    Решил оставить линки на версию *4.5.0 но с именем *4 кроме линка на libQtWebKit.so.4.5.0 - на него линк не делал и оригинал от GE не удалял. Все работает!
     
     
  • 2.13, dmitry, 17:14, 17/12/2009 [^] [ответить] [смотреть все] [показать ветку]  
  • +/
    Верно Особенно если ось 64битная GE то кажись только 32-х битный Или нет ... весь текст скрыт [показать] [показать ветку]
     
  • 1.9, dvd, 08:59, 01/10/2009 [ответить] [смотреть все]  
  • +/
    LANG=ru_RU.CP1251 googleearth

    А если вот так запускать?
    Никаких проблем с русским не возникает.
    Разве что если нужен именно UTF8.

     
  • 1.10, Аноним, 17:04, 01/10/2009 [ответить] [смотреть все]  
  • +/
    спасибо за предложение про LANG= - работает без плясок с бубном (убунта 8.10)
     
  • 1.11, gvard, 14:22, 06/10/2009 [ответить] [смотреть все]  
  • +/
    cd /opt/googleearth && mkdir old
    mv libQt* plugins/imageformats/* old/

    И все работает!
    Gentoo, GE 5.1.3509.4636_beta

     
  • 1.12, mittorn, 11:05, 23/10/2009 [ответить] [смотреть все]  
  • +/
    Я в настройках поставил размер шрифта 12 и всё работает
     
  • 1.14, AlexYeCu, 18:41, 31/03/2010 [ответить] [смотреть все]  
  • +/
    И с заменой библиотек вы вляпаетесь в следующую проблему: отображение фото и видео на карте работает только с «оригинальными» гуглёрфовскими куте-либами… Потому только LANG=en_US.
    Вот таких смешных прогеров нанимает Гугл.
     
  • 1.15, papay, 22:15, 01/07/2010 [ответить] [смотреть все]  
  • +/
    По оригинальному посту автора, - помогло для Slackware 13.1
     
  • 1.16, wawont, 16:35, 12/10/2010 [ответить] [смотреть все]  
  • +/
    Fedora 13, Google Earth 5.2.1.1588

    Описанный выше способ не помог...
    Решил так:
    Установил шрифты bitstream-vera через yum.
    Далее из под root:
    # cd /etc/X11/fontpath.d
    # ln -fs /usr/share/fonts/bitstream-vera bitstream-vera
    # cd /usr/share/fonts/bitstream-vera
    # fc-cache
    # cp fonts.scale fonts.dir

    Под пользователем:
    $ qtconfig-qt4

    Выбираем Font
    И устанавливаем Default Font в Bitstream Vera Sans
    Далее в GE выбираем Инструменты - Настройки - Шрифт и выбираем Bitstream Vera Sans. Возможно это уже и не обязательно.
    Всё теперь работает/отображает по человечески в меню(верхнем, боковом) panaramio да вообщем везде.

     
  • 1.17, gon_ur, 09:34, 09/02/2011 [ответить] [смотреть все]  
  • +/
    >1.9, dvd, 08:59, 01/10/2009
    >LANG=ru_RU.CP1251 googleearth
    >
    >А если вот так запускать?
    >Никаких проблем с русским не возникает.
    >Разве что если нужен именно UTF8.

    Заработало, спасибо

    cat /etc/debian_version
    5.0.7

    Google Earth 6.0.1.2032 (Beta)

     
  • 1.18, gon_ur, 09:36, 09/02/2011 [ответить] [смотреть все]  
  • +/
    >1.9, dvd, 08:59, 01/10/2009
    >LANG=ru_RU.CP1251 googleearth
    >
    >А если вот так запускать?
    >Никаких проблем с русским не возникает.
    >Разве что если нужен именно UTF8.

    Заработало, спасибо

    cat /etc/debian_version
    5.0.7

    Google Earth 6.0.1.2032 (Beta)

     
  • 1.19, West, 22:48, 03/08/2011 [ответить] [смотреть все]  
  • +/
    Сделал все так как описано, гугл запускается секунды на 2-3 и закрывается. Linux Mint 11 Katya, GE не знаю какой, версию просмотреть не могу.
     
  • 1.20, Andrew, 02:31, 19/08/2011 [ответить] [смотреть все]  
  • +1 +/
    На Ubuntu 11.04 - 64 сработало вот это:
    sudo apt-get install ttf-mscorefonts-installer

    Перелогиниться.

     
     
  • 2.22, w63f, 09:20, 11/09/2011 [^] [ответить] [смотреть все] [показать ветку]  
  • +/
    Ого! Спасибо! Помогло! =)
     
  • 1.21, Shurrik, 19:20, 01/09/2011 [ответить] [смотреть все]  
  • +/
    >Сделал все так как описано, гугл запускается секунды на 2-3 и закрывается. Linux Mint 11 Katya, GE не знаю какой, версию просмотреть не могу.

    Таже самая проблема. Debian wheezy, googleearth_6.0.3.2197

     
  • 1.23, karlos212, 01:26, 22/10/2011 [ответить] [смотреть все]  
  • +/
    тема со шрифтами решается вот так без мутанских манипуляций с библиотеками

    sudo apt-get install ttf-mscorefonts-installer

     
     
  • 2.30, Keer, 07:18, 17/12/2011 [^] [ответить] [смотреть все] [показать ветку]  
  • +/
    Подтверждаю, установка этого пакета решает проблему!
     
     
  • 3.36, Tode, 18:50, 11/08/2012 [^] [ответить] [смотреть все]  
  • +/
    Сейчас не работает. 2012, август, 11-е. Версия 6,2.
     
  • 2.35, EuPhobos, 11:46, 19/06/2012 [^] [ответить] [смотреть все] [показать ветку]  
  • +/
    К стати да, мутантские манипуляции с библиотеками убивают GE совсем Видать с т... весь текст скрыт [показать] [показать ветку]
     
  • 1.24, Rembo, 17:05, 29/11/2011 [ответить] [смотреть все]  
  • +/
    А у меня все решилось установкой пакета  xfonts-cronyx-100dpi. Mint 12
     
  • 1.25, Алексей, 23:47, 01/12/2011 [ответить] [смотреть все]  
  • +/
    Перепробовал все возможные из предложенных. Ничего не помогло. Максимум это русские названия на карте. Для этого сменил шрифт внутри GE, предварительно запустив командой LANG=en_EN google-earth
    ---------
    openSUSE 12.1-x64
    GE 6.1-x64
     
     
  • 2.26, seleko, 09:24, 02/12/2011 [^] [ответить] [смотреть все] [показать ветку]  
  • +/
    > Перепробовал все возможные из предложенных. Ничего не помогло. Максимум это русские названия
    > на карте. Для этого сменил шрифт внутри GE, предварительно запустив командой
    > LANG=en_EN google-earth
    > ---------
    > openSUSE 12.1-x64
    > GE 6.1-x64

    А картинки panoramio грузтся уже в этой версии?

     
     
  • 3.27, seleko, 11:45, 02/12/2011 [^] [ответить] [смотреть все]  
  • +/
    Мндя... про картинки в GE 5 и выше... Посмотрел wiresharkом.
    Эти кролики лезут отнюдь не через прокси :(
     
  • 3.28, Алексей, 14:19, 03/12/2011 [^] [ответить] [смотреть все]  
  • +/

    > А картинки panoramio грузтся уже в этой версии?

    Проблем с panoramio я не наблюдал, кроме отсутствия русских шрифтов.

     
  • 2.29, Алексей, 15:54, 03/12/2011 [^] [ответить] [смотреть все] [показать ветку]  
  • +/
    Еще одно решение для Ubuntu здесь: http://forum.ubuntu.ru/index.php?topic=152527.0
     
  • 1.31, unicsoid, 18:08, 07/01/2012 [ответить] [смотреть все]  
  • +/
    установил на debian 6,0,3 из пакетов
    apt-get install ttf-mscorefonts-installer
    и шрифты xfonts-cronyx-100dpi.
    рестартанул иксы и всё окей!
     
  • 1.32, sergey, 10:40, 06/02/2012 [ответить] [смотреть все]  
  • +/
    Можно ещё проще. Удалить или переименовать файл
    ./lang/ru.qm .
     
  • 1.33, lex, 23:14, 02/04/2012 [ответить] [смотреть все]  
  • +/
    На федоре 16 помогло
    yum install xorg-x11-fonts-cyrillic.noarch
     
  • 1.34, Дмтитрий, 15:56, 04/06/2012 [ответить] [смотреть все]  
  • +/
    Для федоры 14-15-16-17 решается установлением:
    #yum install xorg-x11-fonts-cyrillic
     
     
  • 2.37, Tode, 19:04, 11/08/2012 [^] [ответить] [смотреть все] [показать ветку]  
  • +/
    Ubuntu 12.04, amd64. Август, 2012. Версия хомячковой отрады 6,2. Пакет скачан с офиц.сайта, который назван "для Убунту", под 64 бит. Результат - не работает.

    1) Линковка либов взамен оригинальных приводит к падению (с версиями колупался, правил на актуальные), текст отписки можно увидеть в консоли запуская google-earth.
    2) Мелкомягкие шрифты установлены.
    3) "xfonts-cyrillic is already the newest version" - т.е. стоят. Какие другие нужны???

     

    Ваш комментарий
    Имя:         
    E-Mail:      
    Заголовок:
    Текст:



      Закладки на сайте
      Проследить за страницей
    Created 1996-2017 by Maxim Chirkov  
    ДобавитьРекламаВебмастеруГИД  
    Hosting by Ihor